Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.attachments
Class AttachmentsTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.attachments.AttachmentsTableModel

All Implemented Interfaces:
  AttachmentTableModel, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.swing.table.TableModel

    public class AttachmentsTableModel

extends javax.swing.table.AbstractTableModel
implements java.beans.PropertyChangeListener, AttachmentTableModel

TableModel for Request Attachments

Author:
  emibre
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`AttachmentsTableModel(AttachmentContainer request)` Creates a new instance of AttachmentTableModel

Method Summary
`void` | `addFile(java.io.File file, boolean cacheInRequest)`
`int` | `findColumn(java.lang.String columnName)`
`Attachment` | `getAttachmentAt(int rowIndex)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` Update table when attachments or response changes
`void` | `release()`
`void` | `removeAttachment(int rowIndex)`
`void` | `removeAttachment(int[] rowIndexes)`
`void` | `setValueAt(java.lang.Object aValue, int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, getColumnClass, removeTableModelListener`

Constructor Detail

### AttachmentsTableModel

    public AttachmentsTableModel(AttachmentContainer request)

  Creates a new instance of AttachmentTableModel

Method Detail

### release

    public void release()

### addFile

    public void addFile(java.io.File file,
                        boolean cacheInRequest)
                 throws java.io.IOException

  Specified by:
    `addFile` in interface `AttachmentTableModel`
  Throws:
    `java.io.IOException`

### removeAttachment

    public void removeAttachment(int[] rowIndexes)

### removeAttachment

    public void removeAttachment(int rowIndex)

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `javax.swing.table.TableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `javax.swing.table.TableModel`

### getAttachmentAt

    public Attachment getAttachmentAt(int rowIndex)

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`

### findColumn

    public int findColumn(java.lang.String columnName)

  Overrides:
    `findColumn` in class `javax.swing.table.AbstractTableModel`

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int rowIndex,
                           int columnIndex)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Update table when attachments or response changes

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.